package com.ruoyi.busi.domain;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.alibaba.fastjson2.JSONArray;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import com.ruoyi.common.core.domain.DlBaseEntity;

/**
 * 通告对象 dl_busi_notice
 *
 * @author 朱春云
 * @date 2025-03-18
 */
@TableName("dl_busi_notice")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BusiNotice extends DlBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一主键 */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /** 发布者 */
    @Excel(name = "发布者")
    private Long userId;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 平台 */
    @Excel(name = "平台")
    private String platformCode;


    /** 省份 */
    private String province;
    /** 城市 */
    private String city;
    //是否平台结算
    private Integer isPlatformFree;
    /** 稿费下限 */
    @Excel(name = "稿费下限")
    private BigDecimal feeDown;

    /** 稿费上限 */
    @Excel(name = "稿费上限")
    private BigDecimal feeUp;

    /** 是否需自报价 */
    @Excel(name = "是否需自报价")
    private Integer isSelfPrice;
    //是否有赠品 0 1
    private String haveGift;

    /** 赠品明细 */
    @Excel(name = "赠品明细")
    private String giftDetail;

    /** 赠品价值 */
    @Excel(name = "赠品价值")
    private BigDecimal giftPrice;

    /** 截止日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "截止日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endDate;

    /** 品牌 */
    @Excel(name = "品牌")
    private String brand;

    /** 是否公开品牌 */
    @Excel(name = "是否公开品牌")
    private Integer isShowBrand;

    /** 招募名额 */
    @Excel(name = "招募名额")
    private Long needNum;

    /** 粉丝要求下限 */
    @Excel(name = "粉丝要求下限")
    private Long fansDown;

    /** 粉丝要求上限 */
    @Excel(name = "粉丝要求上限")
    private Long fansUp;

    /** 报名是否需符合粉丝要求(0否|1是) */
    @Excel(name = "报名是否需符合粉丝要求(0否|1是)")
    private Integer isEligible;

    /** 内容形式 */
    @Excel(name = "内容形式")
    private String pic;

    /** 展示形式 */
    @Excel(name = "展示形式")
    private String collect;

    /** 通告明细 */
    @Excel(name = "通告明细")
    private String detail;

    /** 产品图 */
    @Excel(name = "产品图")
    private String images;

    /** 博主类型 */
    @Excel(name = "博主类型")
    private String bloggerTypes;

    /** 是否公开联系方式 */
    @Excel(name = "是否公开联系方式")
    private Integer isShowTel;

    /** 微信号 */
    @Excel(name = "微信号")
    private String wechat;

    /** 电话 */
    @Excel(name = "电话")
    private String tel;

    /** 微信群码图片 */
    @Excel(name = "微信群码图片")
    private String groupImage;

    /** 是否使用通告券（0 否|1是） */
    @Excel(name = "是否使用通告券", readConverterExp = "0=,否=|1是")
    private Integer isUseCoupon;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private String approvalStatus;

    /** 审核人 */
    @Excel(name = "审核人")
    private Long approvalUserId;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date approvalTime;

    /** 审核备注 */
    @Excel(name = "审核备注")
    private String approvalRemark;
    /**
     * 对比后相似的通告id 逗号隔开
     */
    private String similarityIds;
    /**
     * 自定义表单
     */
    @TableField(exist = false)
    private List<String> customForm;




}
