package com.ruoyi.busi.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import lombok.*;
import com.ruoyi.common.core.domain.DlBaseEntity;
import org.apache.ibatis.type.JdbcType;

import java.io.Serializable;
import java.util.Date;

/**
 * 通告自定义报名单对象 dl_busi_notice_form
 *
 * @author 朱春云
 * @date 2025-03-17
 */
@TableName("dl_busi_notice_form")
@Data

@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BusiNoticeForm implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 唯一主键 */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /** 通告 */
    @Excel(name = "通告")
    private String noticeId;

    /** 字段label标题 */
    @Excel(name = "字段label标题")
    private String labelTitle;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 创建者 */
    @TableField(fill = FieldFill.INSERT, jdbcType = JdbcType.VARCHAR)
    private String creator;

    /** 创建时间 */
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
