package com.ruoyi.busi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.busi.domain.BusiEvaluate;
import com.ruoyi.busi.vo.BusiEvaluateVO;

import java.util.List;

/**
 * 评价Service接口
 *
 * @author 朱春云
 * @date 2025-03-17
 */
public interface IBusiEvaluateService extends IService<BusiEvaluate> {
    IPage<BusiEvaluate> queryListPage(BusiEvaluate pageReqVO, Page<BusiEvaluate> page);

    /**
     * 通过被评价人用户id查询评价内容
     *
     * @param userId 被评价人用户id
     * @return java.util.List<com.ruoyi.busi.domain.BusiEvaluate>
     * @author PQZ
     * @date 14:16 2025/3/21
     **/
    List<BusiEvaluateVO> listByToUserId(Long userId);
}
