package com.ruoyi.member.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.member.domain.MemberBusiCard;
import com.ruoyi.member.vo.MemberBusiCardVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 博主名片Mapper接口
 *
 * @author pqz
 * @date 2025-03-21
 */
@Mapper
public interface MemberBusiCardMapper extends BaseMapper<MemberBusiCard> {
    /**
     * 分页查询博主名片列表
     *
     * @param entity {@link MemberBusiCard}
     * @param page   分页参数
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.ruoyi.member.domain.MemberBusiCard>
     * @author PQZ
     * @date 21:44 2025/3/21
     **/
    IPage<MemberBusiCard> queryListPage(@Param("entity") MemberBusiCard entity, Page<MemberBusiCard> page);

    /**
     * 通过id查询博主名片
     *
     * @param id 主键
     * @return com.ruoyi.member.vo.MemberBusiCardVO
     * @author PQZ
     * @date 22:32 2025/3/21
     **/
    MemberBusiCardVO queryById(@Param("id") String id);
}
